<?php

namespace App\Classes\Modules\Transactions\Services;


use App\Models\Group;

class ChecksIfGroupTransactionBillNumberExists
{

    private $repository;

    public function __construct(Group $repository)
    {
        $this->repository = $repository;
    }

    public function execute(string $bill_no): bool {
        return $this->repository->where('reference', $bill_no)->exists();
    }

}